summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xserver/bin/checkperms2
-rwxr-xr-xserver/bin/setsmbpass2
2 files changed, 2 insertions, 2 deletions
diff --git a/server/bin/checkperms b/server/bin/checkperms
index 424c1b48..3f79e2d3 100755
--- a/server/bin/checkperms
+++ b/server/bin/checkperms
@@ -45,7 +45,7 @@ find $OPENGNSYS_DIR/images -maxdepth 1 -type d -exec chmod 775 {} \;
find $OPENGNSYS_DIR/images -maxdepth 1 -type f -exec chmod 664 {} \;
find $OPENGNSYS_DIR/client/{interfaceAdm,scripts} ! -name "*.txt" -exec chmod +x {} \;
chown -R $OPENGNSYS_USER:$OPENGNSYS_USER $OPENGNSYS_DIR/client/etc/ssl/private
-chmod -R go-rwx $OPENGNSYS_USER:$OPENGNSYS_USER $OPENGNSYS_DIR/client/etc/ssl/private
+chmod -R go-rwx $OPENGNSYS_DIR/client/etc/ssl/private
chown $OPENGNSYS_USER:$OPENGNSYS_USER $OPENGNSYS_DIR/client/interfaceAdm/CambiarAcceso
chmod 700 $OPENGNSYS_DIR/client/interfaceAdm/CambiarAcceso
chown root:root $OPENGNSYS_DIR/etc/{ogAdmServer,ogAdmAgent}*.cfg
diff --git a/server/bin/setsmbpass b/server/bin/setsmbpass
index 4d91973d..efd90eec 100755
--- a/server/bin/setsmbpass
+++ b/server/bin/setsmbpass
@@ -105,7 +105,7 @@ for OGLIVE in $LIST; do
done
if [[ $CHANGES != 0 ]]; then
# Ticket 565, preparar acceso Rsync servidor.
- sed -i -n -e "/^$SAMBAUSER:/!p" -e "$ a$SAMBAUSER:$SAMBAPASS" /etc/rsyncd.secrets
+ [ -e /etc/rsyncd.secrets ] && sed -i -n -e "/^$SAMBAUSER:/!p" -e "$ a$SAMBAUSER:$SAMBAPASS" /etc/rsyncd.secrets || echo "$SAMBAUSER:$SAMBAPASS" > /etc/rsyncd.secrets
chown root.root /etc/rsyncd.secrets
chmod 600 /etc/rsyncd.secrets
# Cambiar clave Samba.